From 773ad439c95e5035e096e8d134aabb43d1848893 Mon Sep 17 00:00:00 2001
From: Laurent Noel <laurent.noel@ubisoft.com>
Date: Tue, 12 Jul 2016 14:13:14 +0200
Subject: [PATCH] Set RPATH to $ORIGIN

---
 CMakeLists.txt | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 119dfc9..6689f3b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -379,11 +379,13 @@ if (CMAKE_SKIP_RPATH)
     set (CMAKE_SKIP_RPATH FALSE)
     unset (CMAKE_INSTALL_RPATH)
 else ()
-    set (CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
-    if (NOT IS_ABSOLUTE ${CMAKE_INSTALL_RPATH})
-        set (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
-    endif ()
-    set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+    # set (CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
+    # if (NOT IS_ABSOLUTE ${CMAKE_INSTALL_RPATH})
+        # set (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
+    # endif ()
+    # set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
+    set (CMAKE_INSTALL_RPATH "$ORIGIN")
 endif ()
 
 
-- 
1.8.3.1

